Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageSobel2D Class Reference

`#include <vtkImageSobel2D.h>`

Inheritance diagram for vtkImageSobel2D:

[legend]
Collaboration diagram for vtkImageSobel2D:

[legend]
List of all members.

## Detailed Description

Computes a vector field using sobel functions.

Date:
  2002/01/22 15:33:30

Revision:
  1.23

vtkImageSobel2D computes a vector field from a scalar field by using Sobel functions. The number of vector components is 2 because the input is an image. Output is always floats.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (82%)
  - Martin, Ken (11%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageSobel2D.h)`
  - .`cxx` (`/Imaging/vtkImageSobel2D.cxx)`

Tests:
  vtkImageSobel2D (Tests)

Definition at line 47 of file vtkImageSobel2D.h.

## Public Types

typedef vtkImageSpatialFilter | Superclass

## Public Methods

virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)

## Static Public Methods

vtkImageSobel2D * | New ()
int | IsTypeOf (const char *type)
vtkImageSobel2D * | SafeDownCast (vtkObject *o)

## Protected Methods

| vtkImageSobel2D ()
| ~vtkImageSobel2D ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int outExt[6], int id)
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()

## Member Typedef Documentation

typedef vtkImageSpatialFilter vtkImageSobel2D::Superclass

| Reimplemented from vtkImageSpatialFilter. Definition at line 51 of file vtkImageSobel2D.h.

## Constructor & Destructor Documentation

vtkImageSobel2D::vtkImageSobel2D | ( |  | ) | `[protected]`

vtkImageSobel2D::~vtkImageSobel2D | ( |  | ) | `[inline, protected]`

| Definition at line 56 of file vtkImageSobel2D.h.

## Member Function Documentation

vtkImageSobel2D* vtkImageSobel2D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageSpatialFilter.

virtual const char* vtkImageSobel2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageSpatialFilter.

int vtkImageSobel2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

virtual int vtkImageSobel2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageSpatialFilter.

vtkImageSobel2D* vtkImageSobel2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageSobel2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageSpatialFilter.

void vtkImageSobel2D::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | outExt[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

void vtkImageSobel2D::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageSpatialFilter.

void vtkImageSobel2D::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageSpatialFilter. Definition at line 61 of file vtkImageSobel2D.h. References vtkImageToImageFilter::ExecuteInformation().

The documentation for this class was generated from the following file:

- Imaging/vtkImageSobel2D.h